Bug 1577547 - Openstack Cloud provider Credential Validation Failed using Keystone V3 non-default domain
Summary: Openstack Cloud provider Credential Validation Failed using Keystone V3 non-d...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.8.4
Assignee: Marek Aufart
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks: 1562773
TreeView+ depends on / blocked
 
Reported: 2018-05-12 23:34 UTC by Ido Ovadia
Modified: 2018-06-29 15:13 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-29 15:13:21 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)
Credentials Screenshot (124.98 KB, image/png)
2018-05-12 23:38 UTC, Ido Ovadia
no flags Details
evm.log (2.39 KB, text/plain)
2018-05-12 23:39 UTC, Ido Ovadia
no flags Details

Description Ido Ovadia 2018-05-12 23:34:40 UTC
Description of problem:
=======================
Failed to add Openstack as Cloud Provider with non-default domain Keystone V3  

Validation failed: error, Socket error: end of file reached (EOFError)


Version-Release number of selected component:
=============================================
CFME 5.8.4.2 RHOS 10


How reproducible:
=================
1/1


Steps to Reproduce:
===================
1. Deploy RHOS 10 SSL HA (Undercloud, 3*Controller, 2*Compute)
2. Create a domain and project on it.
3. Create a user with admin role on the domain and the project
4. Add OSPD as Infrastructure Provider
5. Add Overcloud as Cloud Provider with Keystone V3 and Domain, and user you have created     


Actual results:
===============
Credential validation was not successful: Socket error: end of file reached (EOFError)


Expected results:
=================
Credential validation successful


Additional info:
================
Credential validation successful with default domain and admin user

Comment 1 Ido Ovadia 2018-05-12 23:38:22 UTC
Created attachment 1435542 [details]
Credentials Screenshot

Comment 2 Ido Ovadia 2018-05-12 23:39:20 UTC
Created attachment 1435543 [details]
evm.log

Comment 12 Ido Ovadia 2018-05-24 14:36:52 UTC
Verified
========
CFME 5.8.4.3 + RHOS13

I followed https://bugzilla.redhat.com/show_bug.cgi?id=1577547#c10 steps
and validation of credentials passed for me as well

Comment 13 Ido Ovadia 2018-05-24 14:40:57 UTC
(In reply to Ido Ovadia from comment #12)
> Verified
> ========
> CFME 5.8.4.3 + RHOS13
> 
> I followed https://bugzilla.redhat.com/show_bug.cgi?id=1577547#c10 steps
> and validation of credentials passed for me as well

Sorry for typo, Validation made on RHOS10


Note You need to log in before you can comment on or make changes to this bug.